#
# spec file for package gedit (Version 2.4.1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  audiofile docbook_4 eel eel-devel gail gail-devel gnome2-devel-packages gtksourceview gtksourceview-devel indent intltool libgtop libgtop-devel libidl libidl-devel libxslt scrollkeeper

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs alsa alsa-devel atk atk-devel audiofile autoconf automake binutils docbook_4 eel eel-devel esound esound-devel expat fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gcc gconf2 gconf2-devel gdbm gettext glib2 glib2-devel gnome-filesystem gnome-vfs2 gnome-vfs2-devel gtk2 gtk2-devel gtksourceview gtksourceview-devel indent intltool libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomeui libgnomeui-devel libgtop libgtop-devel libidl libidl-devel libjpeg libtool libwnck libwnck-devel libxml2 libxml2-devel libxslt linc linc-devel openssl-devel orbit2 orbit2-devel pango pango-devel perl perl-XML-Parser pkgconfig popt-devel rpm scrollkeeper update-desktop-files

Name:         gedit
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:      GPL
Group:        Productivity/Editors/Other
Autoreqprov:  on
Version:      2.4.1
Release:      52.4
Summary:      The Editor for the GNOME 2.x Desktop
Source:       http://www.personal.psu.edu/kfv101/procman/%{name}-%{version}.tar.bz2
Patch:        x86_64.diff
Patch1:       gedit-2.4.1.diff
Patch2:       gedit-string-2.6.patch
URL:          http://www.gnome.org
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Docdir:       %{_defaultdocdir}/gedit
PreReq:       filesystem /usr/bin/touch gconf2
Provides:     gedit2
Obsoletes:    gedit2

%description
Gedit is a small, fast, and reliable editor for the GNOME 2.x Desktop.



Authors:
--------
    Chema Celorio <chema@ximian.com>
    Paolo Maggi <maggi@athena.polito.it>  

%package devel
Summary:      The Editor for the GNOME 2.x Desktop
Group:        Productivity/Editors/Other
Autoreqprov:  on
Provides:     gedit2-devel
Obsoletes:    gedit2-devel
                                                                                                                         

%description devel
Gedit is a small, fast, and reliable editor for the GNOME 2.x Desktop.



Authors:
--------
    Chema Celorio <chema@ximian.com>
    Paolo Maggi <maggi@athena.polito.it>  

%prep
%setup
%patch
%patch1
%patch2 -p1

%build
autoreconf --install --force
CFLAGS="$RPM_OPT_FLAGS -L%_libdir -g" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --mandir=%prefix/share/man \
    --localstatedir=/var/%_lib \
    --with-kde-datadir=/opt/kde
export LIBRARY_PATH=/opt/gnome/%_lib 
make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1    
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL   
# cleanup buildroot
rm -f $RPM_BUILD_ROOT/%{prefix}/%_lib/gedit-2/plugins/*.la
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/man/man?/*.?
%find_lang gedit-2.4
%suse_update_desktop_file gedit TextEditor

%post
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` 
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/gedit.schemas >/dev/null
touch var/adm/SuSEconfig/run-scrollkeeper-update

%postun
touch var/adm/SuSEconfig/run-scrollkeeper-update

%clean
rm -rf $RPM_BUILD_ROOT

%files -f gedit-2.4.lang
%defattr(-, root, root)
%{sysconfdir}/gconf/schemas/gedit.schemas
%{prefix}/share/applications/*.desktop
%{prefix}/share/application-registry/gedit.applications
%{prefix}/share/gnome/help/gedit
%{prefix}/share/gnome-2.0/ui/*
%{prefix}/share/omf/gedit
%{prefix}/share/gedit-2
%{prefix}/share/mime-info/*
%{prefix}/share/idl/*
%dir %{prefix}/%_lib/gedit-2
%dir %{prefix}/%_lib/gedit-2/plugins
%{prefix}/%_lib/gedit-2/plugins/*.so*
%{prefix}/%_lib/gedit-2/plugins/*gedit-plugin
%{prefix}/share/pixmaps/*.png
%{prefix}/bin/gedit
%doc %{prefix}/share/man/man1/gedit*
%{prefix}/%_lib/bonobo/servers/*.server
%{prefix}/%_lib/bonobo/*.so
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/include/*
%{prefix}/%_lib/bonobo/*.*a

%changelog -n gedit
* Mon Jun 13 2005 - sbrabec@suse.cz
- Fixed format string vulnerability (#90339, CAN-2005-1686).
* Mon Mar 22 2004 - sbrabec@suse.cz
- Provide nad obsolete gedit2-devel.
* Wed Mar 17 2004 - sbrabec@suse.cz
- Fixed scrollkeeper calling conventions (#36215).
* Mon Mar 15 2004 - sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 - sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
- Fixed %%doc attributes (#33163).
* Fri Feb 20 2004 - sbrabec@suse.cz
- Package renamed to gedit.
* Thu Feb 12 2004 - hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Wed Jan 21 2004 - ro@suse.de
- fix pixmaps/Makefile.am
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Mon Oct 27 2003 - sbrabec@suse.cz
- Updated to version 2.4.1.
* Thu Oct 09 2003 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Sat Sep 20 2003 - kukuk@suse.de
- Obsolete old gedit (solves file conflict)
* Tue Aug 19 2003 - sbrabec@suse.cz
- Updated neededforbuild (rename of librsvg2, eel2).
* Sat Aug 16 2003 - adrian@suse.de
- add Categories
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jul 04 2003 - ro@suse.de
- fix find_lang usage
* Wed Jul 02 2003 - hhetter@suse.de
- updated to version 2.2.2
- use find_lang
* Fri Jun 27 2003 - ro@suse.de
- added directories to filelist
* Wed Jun 11 2003 - ro@suse.de
- added unpackaged files to filelist
- remove .la files of plugins from buildroot
* Wed Feb 26 2003 - hhetter@suse.de
- fix build (use omf.make) (#24336)
- fix filelist (#24336)
* Fri Feb 07 2003 - hhetter@suse.de
- updated to version 2.2.0.1 [GNOME 2.2.0]
* Tue Jan 28 2003 - hhetter@suse.de
- updated to version 2.2.0
- filelist review
* Mon Jan 20 2003 - ro@suse.de
- update to 2.1.6
* Tue Jan 14 2003 - ro@suse.de
- added expat to neededforbuild
* Tue Nov 19 2002 - hhetter@suse.de
- updated to version 2.0.6
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Fri Nov 08 2002 - sbrabec@suse.cz
- Added --libdir to configure.
* Thu Nov 07 2002 - hhetter@suse.de
- updated to version 2.0.5
- %%_lib fixes
* Tue Sep 24 2002 - sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 - sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Fri Sep 13 2002 - sf@suse.de
- fixed to work on 64-bit archs
  call of eel_read_entire_file() was with &gsize instead of int,
  sizeof(gsize) == sizeof(long)
* Thu Aug 22 2002 - uli@suse.de
- fixed to build on lib64 archs
* Tue Aug 20 2002 - hhetter@suse.de
- added PreReq: filesystem
* Tue Aug 13 2002 - ro@suse.de
- removed control-center from neededforbuild
* Mon Aug 12 2002 - ro@suse.de
- added openssl-devel to neededforbuild
* Fri Aug 09 2002 - hhetter@suse.de
- added openssl to neededforbuild
* Wed Jul 31 2002 - hhetter@suse.de
- fix build with scrollkeeper
- initiate scrollkeeper-update
* Thu Jul 25 2002 - jordi@suse.de
- updated to version 2.0.2
* Tue Jul 16 2002 - hhetter@suse.de
- updated to version 2.0.1, fix descriptions from
  bugzilla.gnome.org:
  [#75861] Deleting a file in use does not prompt for "save" on close
  [#76001] Should not save window geometry on exit
  [#86333] modality problem on info/message box
  [#87265] s/gedit/Text Editor?
* Thu Jun 20 2002 - hhetter@suse.de
- don't install schemas while make install
* Wed Jun 19 2002 - hhetter@suse.de
- updated to version 2.0.0
* Thu Jun 13 2002 - hhetter@suse.de
- supply schema files
* Thu Jun 13 2002 - jordi@suse.de
- Updated to version 1.121.1
* Mon Apr 15 2002 - hhetter@suse.de
- initial SuSE release
